【活用ガイド】

[English]

JVNDB-2008-000043

K's CGI 製アクセスログ解析(jcode.pl版) におけるクロスサイトスクリプティングの脆弱性

概要

K's CGI が提供するアクセスログ解析(jcode.pl版) の analysis.cgi には、クロスサイトスクリプティングの脆弱性が存在します。

K's CGI が提供するアクセスログ解析(jcode.pl版) は、ホームページへのアクセス状況を解析するためのプログラムです。アクセスログ解析(jcode.pl版) の analysis.cgi には、クロスサイトスクリプティングの脆弱性が存在します。

本件に関して、ベンダが更新日付 2008年7月16日の情報を公開しています。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC がベンダとの調整を行いました。
報告者: セキュアコーディング勉強会 AzureStone 氏

CVSS による深刻度 (CVSS とは?)

基本値: 5.0 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし

影響を受けるシステム


K's CGI
  • アクセスログ解析(jcode.pl版) の analysis.cgi Ver.1.44 およびそれ以前

想定される影響

ユーザのウェブブラウザ上で任意のスクリプトを実行される可能性があります。
対策

[アップデートする]
ベンダが提供する情報をもとに最新版へアップデートしてください。
ベンダ情報

K's CGI
CWEによる脆弱性タイプ一覧  CWEとは?

  1. クロスサイトスクリプティング(CWE-79) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2008-4663
参考情報

  1. JVN : JVN#46869708
  2. National Vulnerability Database (NVD) : CVE-2008-4663
更新履歴

[2008年07月23日]
  掲載